import { messages } from "../../locales.js";
export const getOperatorTranslationKey = (operator) => {
    switch (operator) {
        case "ALL":
            return messages.ALL.id;
        case "GREATER_THAN":
            return messages.GREATER_THAN.id;
        case "GREATER_THAN_OR_EQUAL_TO":
            return messages.GREATER_THAN_OR_EQUAL_TO.id;
        case "LESS_THAN":
            return messages.LESS_THAN.id;
        case "LESS_THAN_OR_EQUAL_TO":
            return messages.LESS_THAN_OR_EQUAL_TO.id;
        case "EQUAL_TO":
            return messages.EQUAL_TO.id;
        case "NOT_EQUAL_TO":
            return messages.NOT_EQUAL_TO.id;
        case "BETWEEN":
            return messages.BETWEEN.id;
        case "NOT_BETWEEN":
            return messages.NOT_BETWEEN.id;
        default:
            return undefined;
    }
};
export const getOperatorIcon = (operator) => {
    const iconNamesDictionary = {
        ALL: "all",
        GREATER_THAN: "greater-than",
        GREATER_THAN_OR_EQUAL_TO: "greater-than-equal-to",
        LESS_THAN: "less-than",
        LESS_THAN_OR_EQUAL_TO: "less-than-equal-to",
        EQUAL_TO: "equal-to",
        NOT_EQUAL_TO: "not-equal-to",
        BETWEEN: "between",
        NOT_BETWEEN: "not-between",
    };
    return iconNamesDictionary[operator];
};
//# sourceMappingURL=measureValueFilterOperator.js.map