// (C) 2023 GoodData Corporation
import React from "react";
import cx from "classnames";
import { BubbleHoverTrigger, Bubble } from "@gooddata/sdk-ui-kit";
const DEFAULT_BUBBLE_ALIGN_POINTS = [{ align: "bc tl", offset: { x: 0, y: 5 } }];
export const FilterButtonCustomIcon = ({ customIcon, disabled }) => {
    if (!customIcon) {
        return null;
    }
    const { icon, tooltip, bubbleClassNames, bubbleAlignPoints } = customIcon;
    const classNames = cx(["gd-filter-button-custom-icon-wrapper", "s-gd-filter-button-custom-icon-wrapper"], {
        "disabled s-disabled": disabled,
    });
    return (React.createElement("div", { className: classNames },
        React.createElement(BubbleHoverTrigger, null,
            React.createElement("i", { className: `gd-filter-button-custom-icon s-gd-filter-button-custom-icon ${icon}` }),
            React.createElement(Bubble, { className: `bubble-primary ${bubbleClassNames || ""}`, alignPoints: bubbleAlignPoints || DEFAULT_BUBBLE_ALIGN_POINTS }, tooltip))));
};
//# sourceMappingURL=FilterButtonCustomIcon.js.map